export declare class PnScroll {
    hostElement: HTMLElement;
    observerOptions: IntersectionObserverInit;
    behaviourClasses: string;
    transitionDurationSeconds: number;
    shouldLoop?: boolean;
    intersectFunc?: Function;
    notIntersectFunc?: Function;
    compId: string;
    generateUniqueId(): string;
    handleIntersection(entries: IntersectionObserverEntry[], observer?: IntersectionObserver, onIntersecting?: Function, onNotIntersecting?: Function, shouldLoop?: boolean): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    render(): any;
}
